### Function Macro

# GLib utf8_next_char

#### Declaration

    #define g_utf8_next_char (
      p
    )

#### Description

Skips to the next character in a UTF-8 string.

The string must be valid; this macro is as fast as possible, and has no error-checking.

You would use this macro to iterate over a string character by character.

The macro returns the start of the next UTF-8 character.

Before using this macro, use `g_utf8_validate()` to validate strings that may contain invalid UTF-8.

This function is not directly available to language bindings.

#### Parameters

`p`

  Type: `-`

  Pointer to the start of a valid UTF-8 character.